## generic_a15-user 12 SP1A.210812.016 eng.huawei.20240904.091402 dev-keys
- Manufacturer: hisilicon
- Platform: kirin9000s
- Codename: kirin9000s
- Brand: kirin9000s
- Flavor: user
- Release Version: 12
- Kernel Version: 5.10.43
- Id: SP1A.210812.016
- Incremental: 20240904111507
- Tags: release-keys
- CPU Abilist: arm64-v8a,armeabi-v7a,armeabi
- A/B Device: false
- Treble Device: true
- Locale: en-US
- Screen Density: undefined
- Fingerprint: kirin9000s/kirin9000s/kirin9000s:kirin9000s/SP1A.210812.016/huawei09041114:user/release-keys
- OTA version: 
- Branch: generic_a15-user-12-SP1A.210812.016-eng.huawei.20240904.091402-dev-keys
- Repo: kirin9000s/kirin9000s
